/*
 * cxxtest.cc
 *
 * Copyright (c) 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file cxxtest.cc
 *
 * C++ based shared library test for allup.
 */

#include "config.h"

#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <assert_pp.h>

#include "HeyParser.hh"
#include "factory_library.h"

int FACTORY_METHOD_SYMBOL(factory_library_op_t op, int tag, va_list args)
{
    static HeyPropertyInfo suites[] = {
	HeyPropertyInfo("foo",
			(1L << HeyParser::LIST_PROPERTIES),
			"",
			"Hello, World!\n"),
	HeyPropertyInfo::HPI_NULL
    };

    int retval = EXIT_FAILURE;

    switch( op )
    {
    case FLO_QUERY:
	cout << "FLO_QUERY" << endl;
	retval = EXIT_SUCCESS;
	break;
    case FLO_HEY:
	cout << "FLO_HEY" << endl;
	cout << suites << endl;
	retval = EXIT_SUCCESS;
	break;
    default:
	break;
    }
    return( retval );
}
