/*
 * RealTimeTaskDelegateMixin.hh
 *
 * Copyright (c) 2003, 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file RealTimeTaskDelegateMixin.hh
 *
 * Default implementations for the Broker::RealTimeTask methods.  Kind of a
 * hack really, but it works.
 *
 * @sa RealTimeTaskDelegateImpl.hh
 */

/** @copydoc Broker::RealTimeTask::PassCPU */
virtual Broker::CPUReserve PassCPU(Broker::RealTimeTask_ptr rtt,
				   const Broker::CPUReserve &status,
				   const Broker::CPUReserve &advice,
				   const Broker::KeyedReportParameters &krp)
    throw (CORBA::SystemException)
{
    if( CORBA::is_nil(this->dm_RemoteObject.in()) )
    {
	throw CORBA::BAD_INV_ORDER();
    }
    return this->dm_RemoteObject->PassCPU(rtt, status, advice, krp);
};

/** @copydoc Broker::RealTimeTask::ReportCPU */
virtual Broker::CPUReserve ReportCPU(const Broker::CPUReserve &status,
				     const Broker::CPUReserve &advice,
				     const Broker::KeyedReportParameters &krp)
    throw (CORBA::SystemException)
{
    return this->PassCPU(this->_this(), status, advice, krp);
};
