/*
 * AnyPrinter.hh
 *
 * Copyright (c) 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file AnyPrinter.hh
 *
 * Header file for a class used to print CORBA::Anys.
 */

#ifndef _any_printer_hh
#define _any_printer_hh

/**
 * Class used to print CORBA::Anys.
 */
class AnyPrinter
{

public:

    /**
     * Print a CORBA::Any to the given output stream.
     *
     * @param os The destination stream.
     * @param value The Any to print.
     */
    static void print_to_stream(ostream &os, const CORBA::Any &value);

private:

    /**
     * Empty constructor.
     */
    AnyPrinter() {};
    
};

#endif
