/*
 * time_util_bad.c
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file time_util_bad.c
 *
 * Test function in time_util.h with bad inputs.
 */

#include "config.h"

#ifndef DEBUG
#define DEBUG
#endif

#include <sys/types.h>
#include <sys/time.h>

#include <assert.h>
#include <assert_pp.h>

#include "time_util.h"

int main(int argc, char *argv[])
{
    unsigned long long us;
    
    assert(!string_to_microsec(&us, ""));

    assert(!string_to_microsec(&us, "foo"));

    assert(!string_to_microsec(&us, "foo10"));

    assert(!string_to_microsec(&us, "10foo"));

    assert(!string_to_microsec(&us, "10sec"));

    assert(!string_to_microsec(&us, "10uss"));

    return( EXIT_SUCCESS );
}
