/*
 * ContractDelegate.cc
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file ContractDelegate.cc
 *
 * The implementation of the ContractDelegate class.
 */

#include "config.h"

#include <assert_pp.h>

#include "ContractDelegate.hh"

ContractDelegate::ContractDelegate(quo::Contract_ptr contract,
				   const char *name,
				   unsigned long period,
				   unsigned long deadline) :
    BasicDelegate(name, period, deadline),
    cd_Contract(contract)
{
    require(!CORBA::is_nil(contract));
    
}

rk_stub_precall_retval_t ContractDelegate::precall(void)
{
    rk_stub_precall_retval_t retval;

    this->cd_Contract->eval();
    retval = this->BasicDelegate::precall();
    this->cd_Contract->eval();
    return( retval );
}

void ContractDelegate::postcall(void)
{
    this->cd_Contract->eval();
    this->BasicDelegate::postcall();
    this->cd_Contract->eval();
}
