/*
 * ResourceSet.java
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file ResourceSet.java
 *
 * Java interface to some TimeSys RK functions.
 */

package rk;

/**
 * Native class used to interact with TimeSys resource sets.
 */
public class ResourceSet
{
    /**
     * Load the RKUtils native library.
     */
    static {
	System.loadLibrary("RKUtils");
    }

    /**
     * @return The total CPU usage for the resource set that contains this
     * process.
     */
    public synchronized static native long getUsage();
}
